next up previous
Next: User dependent changes and Up: Installation of SWAN on Previous: Building with netCDF support


Installation of MPICH2 on Windows

SWAN can be built with support for MPI. It is assumed that MPI has been installed already in the Linux environment. However, this is probably not the case for Windows. This section instructs you how to install MPI in the Windows environment. It is assumed that your OS is either Windows 7, 8.1 or 10.

Note that when you register, you should indicate your username and password as a user. Moreover, if your machine is not part of a domain, do not specify any domain name.


Alternatively, the Intel MPI library may be employed instead of MPICH2 to build SWAN. This library is a part of Intel Fortran compiler 14.0 or higher. In this respect, the following modifications need to be made


next up previous
Next: User dependent changes and Up: Installation of SWAN on Previous: Building with netCDF support
The SWAN team 2017-07-31